Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# ruler.hh File Reference

A GtkRuler, GtkHRuler and GtkVRuler C++ wrapper interface. More...

`#include <xfc/gtk/widget.hh>`
`#include <gtk/gtkhruler.h>`
`#include <gtk/gtkvruler.h>`
`#include <xfc/gtk/inline/ruler.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Ruler
    A GtkRuler C++ wrapper class. More...
- class Xfc::Gtk::HRuler
    A GtkHRuler C++ wrapper class. More...
- class Xfc::Gtk::VRuler
    A GtkVRuler C++ wrapper class. More...

## Detailed Description

A GtkRuler, GtkHRuler and GtkVRuler C++ wrapper interface.

Provides Ruler, a widget that is the base class for horizontal and vertical rulers. Rulers are used to show the mouse pointer's location in a window.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3